/* $Id: thread.h 9051 2007-03-07 12:11:48Z rubidium $ */

#ifndef THREAD_H
#define THREAD_H

struct OTTDThread;

typedef void* (*OTTDThreadFunc)(void*);

OTTDThread* OTTDCreateThread(OTTDThreadFunc, void*);
void*       OTTDJoinThread(OTTDThread*);
void        OTTDExitThread();

#endif /* THREAD_H */
